identity.hpp File Reference
`#include <msgpack/preprocessor/facilities/empty.hpp>`
`#include <msgpack/preprocessor/tuple/eat.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IDENTITY(item) item MSGPACK_PP_EMPTY
#define | MSGPACK_PP_IDENTITY_N(item, n) item MSGPACK_PP_TUPLE_EAT_N(n)

## Macro Definition Documentation

## MSGPACK_PP_IDENTITY

#define MSGPACK_PP_IDENTITY | ( |  | item | ) | item MSGPACK_PP_EMPTY

## MSGPACK_PP_IDENTITY_N

#define MSGPACK_PP_IDENTITY_N | ( |  | item,
|  |  | n
| ) |  | item MSGPACK_PP_TUPLE_EAT_N(n)